//--------OMG_BEAMS-------

textures/mbt_dm2/beam_base
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none     
}

textures/mbt_dm2/beam_orange
{
	q3map_baseshader textures/mbt_dm2/beam_base
	{
		map textures/mbt_dm2/beam_orange.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/mbt_dm2/beam_yellow
{
	q3map_baseshader textures/mbt_dm2/beam_base
	{
		map textures/mbt_dm2/beam_yellow.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/mbt_dm2/beam_pink
{
	q3map_baseshader textures/mbt_dm2/beam_base
	{
		map textures/mbt_dm2/beam_pink.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/mbt_dm2/beam_green
{
	q3map_baseshader textures/mbt_dm2/beam_base
	{
		map textures/mbt_dm2/beam_green.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/mbt_dm2/beam_d-green
{
	q3map_baseshader textures/mbt_dm2/beam_base
	{
		map textures/mbt_dm2/beam_d-green.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}


//--------TORCHES_WON'T_STOP_YA-------

textures/mbt_dm2/torch
{
	surfaceparm nonsolid
	surfaceparm nomarks
	{
	map textures/mbt_dm2/torch.tga
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc filter
	}
}

textures/mbt_dm2/torch_plate
{
	surfaceparm nonsolid
	surfaceparm nomarks
	{
	map textures/mbt_dm2/torch_plate.tga
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc filter
	}
}

textures/mbt_dm2/light_fx1
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes autoSprite
	cull none
	{
		map textures/mbt_dm2/light_fx1.tga
		blendfunc add
		rgbGen identity
	}
}


//--------BLUE_SPINNING_THING_UNDER_THE_QUAD-------

textures/mbt_dm2/blue_lightning
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/mbt_dm2/blue_lightning.tga
		tcMod scroll .75 1
		blendFunc add
	}
}


//--------DECALS-------

textures/mbt_dm2/cracks_01
{
	qer_editorImage textures/mbt_dm2/_decal.tga
	polygonOffset
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/mbt_dm2/_decal.tga
		blendFunc filter
		rgbGen identity
	}
}


//--------TELEPORTER_AND_WORMHOLE_THINGY-------

textures/mbt_dm2/mbt_fog
{
	qer_editorImage textures/sfx/fog_grey.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nodrop
	q3map_surfacelight 10
	fogparms ( 0 0 0 ) 400
}

textures/mbt_dm2/teleporter_tube
{
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm nosteps
	surfaceparm slick
	surfaceparm trans
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mbt_dm2/teleporter_tube.tga
		tcMod scroll 4.5 23
		blendFunc filter
		rgbGen identity
	}
}

textures/mbt_dm2/teleporter_swirl
{
	q3map_surfacelight 900
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		clampmap textures/mbt_dm2/teleporter_swirl.tga
		tcMod rotate 50
		tcMod stretch sin 1.1 0.2 0 0.2
	}
}


//--------DOORS_SHOULD_BLOCK_LIGHT-------

textures/mbt_dm2/sunblocker
{
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	qer_editorimage textures/common/white.tga
	{
		map $whiteimage
		alphaFunc GT0
		alphaGen const 0
	}
}


//--------WAVY_LAVA_IN_UR_FACE-------

textures/mbt_dm2/mbt_lava
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 600
	cull none
	tesssize 128
	deformVertexes wave 1500 sin 60 30 0 0.1
	{
		map textures/mbt_dm2/mbt_lava.tga
		tcMod turb 0.02 0.02 0 0.2
	}
}


//--------WINDOWS-------

textures/mbt_dm2/window_01
{
	{
		map textures/mbt_dm2/window_01.tga
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_rfx.tga
		blendFunc add
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/mbt_dm2/window_02
{
	{
		map textures/mbt_dm2/window_02.tga
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_rfx.tga
		blendFunc add
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_02.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/mbt_dm2/window_03
{
	{
		map textures/mbt_dm2/window_03.tga
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_rfx.tga
		blendFunc add
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mbt_dm2/window_03.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


//--------TREES-------

textures/mbt_dm2/tree_01
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformVertexes autoSprite2	
	{
		map textures/mbt_dm2/tree_01.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/mbt_dm2/tree_02
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformVertexes autoSprite2
	{
		map textures/mbt_dm2/tree_02.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/mbt_dm2/tree_03
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformVertexes autoSprite2
	{
		map textures/mbt_dm2/tree_03.tga
		alphaFunc GE128
		rgbGen vertex
	}
}


//--------SKYBOX-------

textures/mbt_dm2/mbt_skybox
{
	qer_editorimage env/mbt_dm2/skybox_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_sunExt 1 0.375 0 300 90 15 1 16
	skyparms env/mbt_dm2/skybox 1024 -
	{
		map env/mbt_dm2/clouds.tga
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 1 1
	}
	
}


//--------TERRAIN-------

textures/common/terrain
{
	q3map_terrain
	{
		map $lightmap
		rgbGen identity
	}
}

textures/mbt_dm2/terrain_base
{
	q3map_tcGen ivector ( 1024 0 0 ) ( 0 1024 0 )
	q3map_lightmapaxis z
	q3map_lightmapmergable
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 30
}

textures/mbt_dm2/terrain_0
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/mbt_pjrock21.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_1
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/pjrock16.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_2
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/mbt_lava.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_3
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/dirt.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_0to1
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/mbt_pjrock21.tga
	}
	{
		map textures/mbt_dm2/pjrock16.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_0to3
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/mbt_pjrock21.tga
	}
	{
		map textures/mbt_dm2/dirt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mbt_dm2/terrain_1to2
{
	q3map_baseshader textures/mbt_dm2/terrain_base
	{
		map textures/mbt_dm2/pjrock16.tga
	}
	{
		map textures/mbt_dm2/mbt_lava.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}